#!/usr/bin/env python3
# -*- coding: utf-8 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
# Date  : 2024-04-21
# File  : share/check_mk/agents/unbound.py
#
# bakery unbound plugin
#
# 2024-05-22: fixed plugin rollout

from pathlib import Path

from cmk.base.cee.plugins.bakery.bakery_api.v1 import (
    FileGenerator,
    PluginConfig,
    OS,
    Plugin,
    register
)


def get_unbound_files(conf) -> FileGenerator:
    if conf:
        yield Plugin(
            base_os=OS.LINUX,
            source=Path('unbound'),
        )
        if isinstance(conf, dict):
            if config_file_path := conf.get('config_file_path'):
                yield PluginConfig(
                    base_os=OS.LINUX,
                    lines=[f'UNBOUND_CFG={config_file_path}'],
                    target=Path('unbound.cfg'),
                )


register.bakery_plugin(
    name='unbound',
    files_function=get_unbound_files,
)
